.block-ebook {
	background-color: var(--wp--preset--color--octonary);
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	column-gap: 16px;
}

.block-ebook.has-background,
.editor-styles-wrapper .block-ebook.has-background,
.editor-styles-wrapper .wp-block-cwp-ebook.has-background {
	padding: 0;
}

.block-ebook__image {
	align-self: stretch;
	flex-basis: 300px;
	flex-grow: 1;
	margin-block-end: 0;
}

.block-ebook__image img {
	aspect-ratio: 1;
	width: 100%;
	height: 100%;
	object-fit: cover;
}

.block-ebook__content {
	flex-basis: 300px;
	flex-grow: 999;
}

.block-ebook .wpforms-container {
	padding: 16px 24px;
}

.block-ebook .wpforms-container .wpforms-head-container,
.block-ebook .wpforms-container .wpforms-submit-container,
.editor-styles-wrapper .block-ebook .wpforms-container .wpforms-submit-container {
	text-align: center;
}

@media only screen and (min-width: 648px) {
	.block-ebook .wpforms-container {
		padding-inline-start: 8px;
		padding-inline-end: 24px;
	}
}

@media only screen and (min-width: 900px) {
	.block-ebook .wpforms-container {
		padding-inline-start: 24px;
		padding-inline-end: 40px;
	}
}

.block-area-sidebar .block-ebook .wpforms-container {
	padding: 16px 24px;
}
